Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry Class Reference

Registry for SPI FieldTypes. More...

## Public Member Functions
| __construct (array $fieldTypes=[])
| getFieldTypes ()
| Returns a list of all SPI FieldTypes. More...
| hasFieldType ($identifier)
| Returns if there is a SPI FieldType registered under $identifier. More...

## Protected Attributes
| $fieldTypes

## Detailed Description

Registry for SPI FieldTypes.

Meant for internal use by Repository.

Definition at line 18 of file NameableFieldTypeRegistry.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry::__construct | ( | array | $fieldTypes = `[]` | ) |

Parameters

  \eZ\Publish\SPI\FieldType\Nameable[] | \Closure | $fieldTypes | Hash of SPI FieldTypes where key is identifier

Definition at line 26 of file NameableFieldTypeRegistry.php.

References eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry\$fieldTypes.

## Member Function Documentation

## ◆ getFieldTypes()

eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry::getFieldTypes | ( |  | ) |

Returns a list of all SPI FieldTypes.

Returns
  \eZ\Publish\SPI\FieldType\Nameable[]

Definition at line 36 of file NameableFieldTypeRegistry.php.

References eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry\$fieldTypes.

## ◆ hasFieldType()

eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry::hasFieldType | ( |  | $identifier | ) |

Returns if there is a SPI FieldType registered under $identifier.

Parameters

  string | $identifier |

Returns
  bool

Definition at line 85 of file NameableFieldTypeRegistry.php.

## Member Data Documentation

## ◆ $fieldTypes

eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry::$fieldTypes
| protected

Definition at line 21 of file NameableFieldTypeRegistry.php.

Referenced by eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry\__construct(), and eZ\Publish\Core\Repository\Helper\NameableFieldTypeRegistry\getFieldTypes().

The documentation for this class was generated from the following file:

- NameableFieldTypeRegistry.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.